package com.huimv.admin.repo.secondary;

import com.huimv.admin.domain.secondary.DaZsda;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DaZsdaRepository extends JpaRepository<DaZsda, Integer>, JpaSpecificationExecutor<DaZsda> {
    @Query(nativeQuery = true ,value = "select * from da_zsda where MCID = 39 and ZFBZ = 0")
    List<DaZsda> findAlla();

	@Query(nativeQuery = true ,value = "select * from da_zsda where ZSMC like %?1% and MCID = 39 and ZFBZ = 0  order by XGSJ DESC limit ?2 , ?3")
    List<DaZsda> findAll(String name, Integer startPage, Integer pageSize);

    @Query(nativeQuery = true ,value = "SELECT MAX(id) FROM da_zsda ")
    List<Integer> findMax();


    @Query(nativeQuery = true ,value = "select * from da_zsda where MCID = 39 and ZFBZ = 0 order by XGSJ DESC limit ?1 , ?2")
    List<DaZsda> findAllb(Integer startPage, Integer pageSize);

    @Query(nativeQuery = true ,value = "select count(*) from da_zsda where MCID = 39 and ZSMC like %?1% ")
    Integer findAllc(String name);
}
