package com.huimv.admin;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;


@FeignClient
@SpringBootApplication
@EnableScheduling
//@ComponentScan({"com.huimv.core","com.huimv.huimvcore"})
@ComponentScan(value = "com.huimv")
public class AdminApplication {

    public static void main(String[] args) {
        SpringApplication.run(AdminApplication.class, args);
    }

}
