package com.huimv.video.repo;

import com.huimv.video.domain.DaZsdaEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface DaZsdaEntityRepository extends JpaRepository<DaZsdaEntity, Integer>, JpaSpecificationExecutor<DaZsdaEntity> {

    @Query(nativeQuery = true , value = "SELECT * FROM da_zsda WHERE mcid=?1 AND ZFBZ=0")
    List<DaZsdaEntity> getAllZs(int mcid);
}